function AlwaysTrue()
	return true
end

-- eigener Held, ohne unit-Zuordnung
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Francesco_ExpertSupport"
	hero.extra_traits = {UnitTrait.ExpertSupport}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


function B1()
	return world.round == 1
end

function F1()		-- neue Einheit erzeugen und platzieren + Ausgabe Nachricht 
	local feld = {7,1}			-- Ort
	local einheit = "FiatCR25bis"		-- ID der Einheit, siehe erste Spalte in Units.csv
	local player = world:GetPlayer(0)	-- welcher Spieler? (hier: 1.Spieler)
	local create_action = world:MakePurchaseAction(player, einheit, "", 0)
	create_action.auxiliary = false		-- Kerneinheit
	create_action.cost = 0
	world:Exec(create_action)
	local unit = world:GetUnit(create_action.id)
	local hex = world:GetHex(feld)
	if (hex:GetUnit(0) == nil) then
		deploy_action = world:MakeDeployAction(unit,feld)
		world:Exec(deploy_action)
	end

	MessageBox("", "Fiat CR25 bis JagtBomber wurde geliefert.")
end


-- Wenn Spieler Hex {8,21} erobert, Strkepunkte als "captured" zuweisen
-- Spieler erhlt keine Einheit, sondern Strkepunkte unter "captured" zum Kauf oder Update

-- ntig im Editor unter Trigger:
-- Count: 0
-- Condition kann leer bleiben
-- Actions: CaptureFlagAction
-- Function: OnCaptureDepot

Depot = {{8,21}}	-- auch mehrere Depots mglich
string = "General, wir haben ein Ausrüstungslager der Briten erobert."

-- In diese Tabelle werden alle eroberten Depots eingetragen, damit man den Bonus nur bei der 1. Eroberung erhllt
captured_depots = {}

function OnCaptureDepot(action)
	if IsItemInTable(captured_depots, action.flag) then return end	    -- Abfrage ob Depot bereits erobert ist
	if (action.new_owner == 0 and IsItemInTable(Depot, action.flag)) then    -- nur ausfhren, wenn Spieler (player0) Depot erobert
		AddEquipment(0, "CruiserMkIV", 20, captured)
		AddEquipment(0, "MorrisCS9AC", 20, captured)
		AddEquipment(0, "QF25pdrATY", 20, captured)
		TutorialMessage(string)					
		table.insert(captured_depots, action.flag)		-- Merken, dass das Depot erobert wurde
	else
		return
	end
end

-- die 3 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end

function AddEquipment(player_id, unit_type, quantity, category)	-- eigentliche Funktion um Equipment hinzuzufgen
	local player = world:GetPlayer(player_id)
	local equipment = player.equipment
	local type = GetUnitType(unit_type)
	local eq = equipment[type]
	if (eq == nil) then
		eq = NewEquipment()
		eq.category = category
		equipment[type] = eq
	end
	eq.quantity = eq.quantity + quantity
	player.equipment = equipment
end
