function AlwaysTrue()
	return true
end

-- eigener Held, ohne unit-Zuordnung
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Tommaso_LightningAttack"
	hero.extra_traits = {UnitTrait.LightningAttack}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- Depot erobern
-- ntig im Editor unter Trigger:
-- Count: 0
-- Condition kann leer bleiben
-- Actions: CaptureFlagAction
-- Function: OnCaptureDepot

Depot = {{7,43}}
string = "General, wir haben ein Ausrüstungslager der Briten erobert."
captured_depots = {}

function OnCaptureDepot(action)
	if IsItemInTable(captured_depots, action.flag) then return end	    -- Abfrage ob Depot bereits erobert ist
	if (action.new_owner == 0 and IsItemInTable(Depot, action.flag)) then
		AddEquipment(0, "CruiserMkIV", 5, captured)
		AddEquipment(0, "CrusaderMkI", 20, captured)
		AddEquipment(0, "BL7-2inch", 5, captured)
		AddEquipment(0, "40mmSPAA", 10, captured)
		TutorialMessage(string)					
		table.insert(captured_depots, action.flag)		-- Merken, dass das Depot erobert wurde
	else
		return
	end
end


-- Flugzeughangar erobern
Hangar = {{12,24}}
string2 = "General, wir haben einen Flugzeughangar der Briten erobert."
captured_hangar = {}

function OnCaptureHangar(action)
	if IsItemInTable(captured_hangar, action.flag) then return end
	if (action.new_owner == 0 and IsItemInTable(Hangar, action.flag)) then
		AddEquipment(0, "HurricaneMkIIC", 20, captured)
		AddEquipment(0, "WellingtonMkIC", 5, captured)
		AddEquipment(0, "StirlingMkI", 10, captured)
		TutorialMessage(string2)					
		table.insert(captured_hangar, action.flag)
	else
		return
	end
end

-- die 3 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end

function AddEquipment(player_id, unit_type, quantity, category)
	local player = world:GetPlayer(player_id)
	local equipment = player.equipment
	local type = GetUnitType(unit_type)
	local eq = equipment[type]
	if (eq == nil) then
		eq = NewEquipment()
		eq.category = category
		equipment[type] = eq
	end
	eq.quantity = eq.quantity + quantity
	player.equipment = equipment
end


-- Count=1, Action=EndTurnAction
function B1()
	return world.round == 10	-- wird eine Runde vorher ausgefhrt
end

-- alle AI Einheiten erhalten einen Angriffs-Befehl
function SetOrder(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders
			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- AI Befehl fr die nchste Runde
function F1()
	MessageBox("Warnung", "Weitere Feinde greifen an.")
	SetOrder("AIOrderAttacker")
end
