function AlwaysTrue()
	return true
end

-- eigener Held, ohne unit-Zuordnung
-- StartTurnAction; Count=1
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Nikivdd_FastLearner"
	hero.extra_traits = {UnitTrait.FastLearner}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end



-- Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end


-- Count=1, Action=EndTurnAction
function B1()
	return world.round == 7	-- wird in Runde 6 ausgefhrt
end

-- alle AI Einheiten erhalten einen Angriffs-Befehl
function SetOrder(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders
			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- AI Befehl fr die nchste Runde
function F1()
	MessageBox("Warnung", "Weitere Feinde greifen an.")
	SetOrder("AIOrderAttacker")
end


-- Landeoperation Nachschub
normal_wave_turns = {5}

-- *** Hex zones ***
-- Spawn zones
-- When spawning a set of units, the script will scan spawn zones hex by hex, in the order specified, and spawn units in free hexes it finds
-- If the script runs out of hexes, the remainder of the units will not be spawned.
sr_spawn_zoneS = {{14,20},{15,20},{14,21},{13,19},{14,19},{15,22},{16,20},{16,19}}

-- *** Enemy waves ***
-- Each unit set is a list of blocks in the following format: { "<Unit ID>", "<Transport ID>", overstrength, experience }
-- If no organic transport is needed, its respective field should be empty string ("").

sr_wave1 = { {"Bersaglieri", "LandingCraft", 0, 950}, {"M13-40", "LandingCraft", 0, 950}, {"Bersaglieri", "LandingCraft", 0, 950}, {"M13-40", "LandingCraft", 0, 950}, {"Bersaglieri", "LandingCraft", 0, 950}, {"M13-40", "LandingCraft", 0, 950} }

-- There can be any number of waves in this list, the game will pick a random one every time
sr_waves = {sr_wave1}

-- There can be any number of zones in this list, the game will pick a random one every time
sr_zones = {sr_spawn_zoneS}

function SpawnWave(player, zone, units)
	local owner = world:GetPlayer(player)
	local cur_hex = 1

	-- Iterate through all units and spawn each one
	for _,u in ipairs(units) do
		-- Find the next vacant hex in the zone
		while zone[cur_hex] do
			hex = world:GetHex(zone[cur_hex])
			if hex:GetUnit(0) == nil then break end -- found
			cur_hex = cur_hex + 1
		end

		-- If we have run out of hexes in the zone, stop
		if not zone[cur_hex] then return end

		-- Create the unit in the free hex we've found
		-- 1. Create and execute purchase action, use unit type, transport type and overstrength as parameters
		local create_action = world:MakePurchaseAction(owner, u[1], u[2], u[3])
		create_action.auxiliary = true
		create_action.cost = 0 -- don't take money for units we generate
		create_action.faction = owner.factions[1]  --set to first faction of owning player for created units
		world:Exec(create_action)

		-- 2. Create and execute deploy action, place the unit in the hex we've picked.
		local unit = world:GetUnit(create_action.id)
		deploy_action = world:MakeDeployAction(unit, zone[cur_hex])
		world:Exec(deploy_action)

		-- 3. Now modify the unit to set its experience to the value we need.
		unit.experience = u[4]
	end
end

-- count=0, AlwaysTrue, Actions=NewRoundAction
function OnNewRound(action)
	-- On the first call, initialize the random generator
	if world.round == 1 then
		math.randomseed(world.seed)
	end
end

Depot = {{10,12}}
captured_depots = {}
string = "Funkspruch abgesendet: Neue Truppen werden bei Derna landen."

function OnCaptureDepot(action)
	if IsItemInTable(captured_depots, action.flag) then return end
	if (action.new_owner == 0 and IsItemInTable(Depot, action.flag)) then
		player = 0

		local zone
		local units

		zone = sr_zones[ math.random( #sr_zones ) ]
		units = sr_waves[ math.random( #sr_waves ) ]

		SpawnWave(player, zone, units)

		TutorialMessage(string)					
		table.insert(captured_depots, action.flag)
	else
		return
	end
end


function B2()
	return world.round == 1
end

function F2()
	MessageBox("Hinweis", "Wenn wir die Funkstation im Feld (10,12) besetzen, erhalten wir einmalig Verstärkung")
end
