function AlwaysTrue()
	return true
end

-- eigener Held, ohne unit-Zuordnung
-- StartTurnAction; Count=1
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Alex_IncMaxOverstrength"
	hero.extra_traits = {UnitTrait.IncMaxOverstrength}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- Depot erobern
-- ntig im Editor unter Trigger:
-- Count: 0
-- Condition kann leer bleiben
-- Actions: CaptureFlagAction
-- Function: OnCaptureDepot

Depot = {{4,18}}
string = "General, wir haben ein Ausrüstungslager der Briten erobert."
captured_depots = {}

function OnCaptureDepot(action)
	if IsItemInTable(captured_depots, action.flag) then return end	    -- Abfrage ob Depot bereits erobert ist
	if (action.new_owner == 0 and IsItemInTable(Depot, action.flag)) then
		AddEquipment(0, "CruiserMkIV", 5, captured)
		AddEquipment(0, "MatildaII", 10, captured)
		AddEquipment(0, "40mmSPAA", 20, captured)
		TutorialMessage(string)					
		table.insert(captured_depots, action.flag)		-- Merken, dass das Depot erobert wurde
	else
		return
	end
end

-- die 3 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end

function AddEquipment(player_id, unit_type, quantity, category)
	local player = world:GetPlayer(player_id)
	local equipment = player.equipment
	local type = GetUnitType(unit_type)
	local eq = equipment[type]
	if (eq == nil) then
		eq = NewEquipment()
		eq.category = category
		equipment[type] = eq
	end
	eq.quantity = eq.quantity + quantity
	player.equipment = equipment
end


function B1()			-- Bedingung im Editor: Trigger Rundenende
	return world.round == 6
end

function F1()		-- neue Einheit erzeugen und platzieren
	local feld = {14,34}			-- Ort
	local einheit = "SpitfireMkI"		-- ID der Einheit
	local player = world:GetPlayer(1)	-- welcher Spieler? (hier: 2.Spieler=Feind)
	local create_action = world:MakePurchaseAction(player, einheit, "", 0)
	create_action.auxiliary = false
	create_action.cost = 0
	world:Exec(create_action)
	local unit = world:GetUnit(create_action.id)
	local hex = world:GetHex(feld)
	if (hex:GetUnit(0) == nil) then
		deploy_action = world:MakeDeployAction(unit,feld)
		world:Exec(deploy_action)
	end
end


-- Count=1, Action=EndTurnAction
function B2()
	return world.round == 10	-- wird eine Runde vorher ausgefhrt
end

-- alle AI Einheiten erhalten einen Angriffs-Befehl
function SetOrder(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders
			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- AI Befehl fr die nchste Runde
function F2()
	SetOrder("AIOrderAttacker")
end
