-- eigener Held, ohne unit-Zuordnung
-- Count=1, Condition='leer', StartTurnAction
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Recon_FearsomeReputation"
	hero.extra_traits = {UnitTrait.FearsomeReputation}
	hero.modifiers = {{type = Spotting, mod = 1}, {type = Speed, mod = 10}}
	hero.unit_classes = {UnitClass.Recon}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- alle AI Einheiten erhalten einen Angriffs-Befehl
-- Count=1, Condition=Runde, Action=EndTurnAction, function=Angriff
function Runde()
	return world.round == 9	-- wird eine Runde vorher ausgefhrt
end

function SetOrder(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders
			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- AI Befehl fr die nchste Runde
function Angriff()
	MessageBox("Warnung", "Weitere Feinde greifen an.")
	SetOrder("AIOrderAttacker")
end


-- Depot erobern
-- Count=0, Condition='leer', Actions=CaptureFlagAction, Function=OnCaptureDepot
Depot = {{1,19}}
string = "Wir haben ein Ausrüstungslager der Briten erobert."

-- In diese Tabelle werden alle eroberten Depots eingetragen, damit man den Bonus nur bei der 1. Eroberung erhllt
captured_depots = {}

function OnCaptureDepot(action)
	if IsItemInTable(captured_depots, action.flag) then return end
	if (action.new_owner == 0 and IsItemInTable(Depot, action.flag)) then
		AddEquipment(0, "ShermanMkI", 30, captured)
		AddEquipment(0, "CrusaderMkIII", 20, captured)
		AddEquipment(0, "40mmSPAA", 15, captured)
		AddEquipment(0, "BL7-2inch", 5, captured)
		AddEquipment(0, "Bishop", 20, captured)
		TutorialMessage(string)					
		table.insert(captured_depots, action.flag)
	else
		return
	end
end


-- Flugzeughangar erobern
-- Count=0, Condition='leer', Actions=CaptureFlagAction, Function=OnCaptureHangar
Hangar = {{8,20}}
string2 = "Wir haben einen Flugzeughangar der Briten erobert."
captured_hangar = {}

function OnCaptureHangar(action)
	if IsItemInTable(captured_hangar, action.flag) then return end
	if (action.new_owner == 0 and IsItemInTable(Hangar, action.flag)) then
		AddEquipment(0, "SpitfireMkIX", 10, captured)
		AddEquipment(0, "HurricaneMkIID", 10, captured)
		AddEquipment(0, "P38F", 20, captured)
		AddEquipment(0, "B25BMitchell", 20, captured)
		AddEquipment(0, "LancasterMkI", 20, captured)
		TutorialMessage(string2)					
		table.insert(captured_hangar, action.flag)
	else
		return
	end
end


-- die 3 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end

function AddEquipment(player_id, unit_type, quantity, category)
	local player = world:GetPlayer(player_id)
	local equipment = player.equipment
	local type = GetUnitType(unit_type)
	local eq = equipment[type]
	if (eq == nil) then
		eq = NewEquipment()
		eq.category = category
		equipment[type] = eq
	end
	eq.quantity = eq.quantity + quantity
	player.equipment = equipment
end
