-- eigener Held, ohne unit-Zuordnung
-- Count=1, Condition='leer', StartTurnAction
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Arti_RangeNaval"
	hero.modifiers = {{type = Range, mod = 1}}
	hero.attack_modifiers = {{type = TargetType.Naval, mod = 1}}
	hero.unit_classes = {UnitClass.Artillery}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- alle AI Einheiten erhalten einen Angriffs-Befehl
-- Count=1, Condition=Runde, Action=EndTurnAction, function=Angriff
function Runde()
	return world.round == 8	-- wird eine Runde vorher ausgefhrt
end

function SetOrder(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders
			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- AI Befehl fr die nchste Runde
function Angriff()
	MessageBox("Warnung", "Weitere Feinde greifen an.")
	SetOrder("AIOrderAttacker")
end


-- Flughafen erobern und BF110G erzeugen
-- Count=0, Condition='leer', Actions=CaptureFlagAction, Function=OnCaptureDepot
Depot = {{24,15}}
string = "Für die Befreiung des Offiziers erhalten wir für diese Schlacht eine Bf110G"

-- In diese Tabelle werden alle eroberten Depots eingetragen, damit man den Bonus nur bei der 1. Eroberung erhllt
captured_depots = {}

function OnCaptureDepot(action)
	if IsItemInTable(captured_depots, action.flag) then return end
	if (action.new_owner == 0 and IsItemInTable(Depot, action.flag)) then
		Einheit()
		TutorialMessage(string)					
		table.insert(captured_depots, action.flag)
	else
		return
	end
end

-- die 3 hierfr ntigen Hilfsfunktionen
function Einheit()
	local feld = {25,16}			-- Ort
	local einheit = "Bf110G"		-- ID der Einheit, siehe erste Spalte in Units.csv
	local player = world:GetPlayer(0)
	local create_action = world:MakePurchaseAction(player, einheit, "", 0)
	create_action.auxiliary = true
	create_action.cost = 0
	world:Exec(create_action)
	local unit = world:GetUnit(create_action.id)
	local hex = world:GetHex(feld)
	--if (hex:GetUnit(0) == nil) then
		deploy_action = world:MakeDeployAction(unit,feld)
		world:Exec(deploy_action)
		unit.experience = 2000
	--end
end

function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end
