function AlwaysTrue()
	return true
end

-- eigener Held, ohne unit-Zuordnung
-- StartTurnAction; Count=1
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Inf_FlagKiller"
	hero.unit_classes = {UnitClass.Infantry}
	hero.extra_traits = {UnitTrait.FlagKiller}
	hero.attack_modifiers = {{type = TargetType.Soft, mod = 2}}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- ntig im Editor unter Trigger:
-- Count: 0
-- Condition kann leer bleiben
-- Actions: CaptureFlagAction
-- Function: OnCaptureDepot

Depot = {{10,36}}	-- auch mehrere Depots mglich
string = "Wir haben ein Ausrüstungslager der Briten erobert."

-- In diese Tabelle werden alle eroberten Depots eingetragen, damit man den Bonus nur bei der 1. Eroberung erhllt
captured_depots = {}

function OnCaptureDepot(action)
	if IsItemInTable(captured_depots, action.flag) then return end	    -- Abfrage ob Depot bereits erobert ist
	if (action.new_owner == 0 and IsItemInTable(Depot, action.flag)) then    -- nur ausfhren, wenn Spieler (player0) Depot erobert
		AddEquipment(0, "GrantMkI", 20, captured)
		AddEquipment(0, "CrusaderMkII", 20, captured)
		AddEquipment(0, "40mmSPAA", 10, captured)
		TutorialMessage(string)					
		table.insert(captured_depots, action.flag)		-- Merken, dass das Depot erobert wurde
	else
		return
	end
end

-- die 3 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end

function AddEquipment(player_id, unit_type, quantity, category)	-- eigentliche Funktion um Equipment hinzuzufgen
	local player = world:GetPlayer(player_id)
	local equipment = player.equipment
	local type = GetUnitType(unit_type)
	local eq = equipment[type]
	if (eq == nil) then
		eq = NewEquipment()
		eq.category = category
		equipment[type] = eq
	end
	eq.quantity = eq.quantity + quantity
	player.equipment = equipment
end


-- Da nach dem 1. triggern schon alle Feinde angreifen, 2. und 3. Aktivierung wirkungslos
-- Count=0, Condition=FlaggeErobern, Action=CaptureFlagAction, Function=Angriff
Flaggen = {{33,17},{19,22},{21,29}}

function FlaggeErobern(action)
	if (action.new_owner == 0 and IsItemInTable(Flaggen, action.flag)) then 
		return true
	else 
		return false 
	end
end

-- alle AI Einheiten erhalten einen Angriffs-Befehl
function SetOrder(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders
			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- AI Befehl fr die nchste Runde
function Angriff()
	MessageBox("Warnung", "Weitere Feinde greifen an.")
	SetOrder("AIOrderAttacker")
end



-- neue Feinde erzeugen und platzieren + Ausgabe Nachricht 
function Runde()			-- Bedingung im Editor: Count=1, Trigger Rundenende
	return world.round == 10
end

function Einheiten()		
	local feld = {4,60}			-- Ort
	local einheit = "GBInfantry"	-- Einheit
	local player = world:GetPlayer(1)
	local create_action = world:MakePurchaseAction(player, einheit, "Lorry", 0)
	create_action.auxiliary = true
	create_action.cost = 0
	world:Exec(create_action)
	local unit = world:GetUnit(create_action.id)
	local hex = world:GetHex(feld)
	if (hex:GetUnit(0) == nil) then
		deploy_action = world:MakeDeployAction(unit,feld)
		world:Exec(deploy_action)
	end

	local feld = {6,60}
	local einheit = "Bishop"
	local player = world:GetPlayer(1)
	local create_action = world:MakePurchaseAction(player, einheit, "", 0)
	create_action.auxiliary = true
	create_action.cost = 0
	world:Exec(create_action)
	local unit = world:GetUnit(create_action.id)
	local hex = world:GetHex(feld)
	if (hex:GetUnit(0) == nil) then
		deploy_action = world:MakeDeployAction(unit,feld)
		world:Exec(deploy_action)
	end

	local feld = {15,60}
	local einheit = "CrusaderMkII"
	local player = world:GetPlayer(1)
	local create_action = world:MakePurchaseAction(player, einheit, "", 0)
	create_action.auxiliary = true
	create_action.cost = 0
	world:Exec(create_action)
	local unit = world:GetUnit(create_action.id)
	local hex = world:GetHex(feld)
	if (hex:GetUnit(0) == nil) then
		deploy_action = world:MakeDeployAction(unit,feld)
		world:Exec(deploy_action)
	end

	local feld = {23,59}
	local einheit = "GBP40DKittyhawk"
	local player = world:GetPlayer(1)
	local create_action = world:MakePurchaseAction(player, einheit, "", 0)
	create_action.auxiliary = true
	create_action.cost = 0
	world:Exec(create_action)
	local unit = world:GetUnit(create_action.id)
	local hex = world:GetHex(feld)
	if (hex:GetUnit(0) == nil) then
		deploy_action = world:MakeDeployAction(unit,feld)
		world:Exec(deploy_action)
	end

	local feld = {23,60}
	local einheit = "SpitfireMkII"
	local player = world:GetPlayer(1)
	local create_action = world:MakePurchaseAction(player, einheit, "", 0)
	create_action.auxiliary = true
	create_action.cost = 0
	world:Exec(create_action)
	local unit = world:GetUnit(create_action.id)
	local hex = world:GetHex(feld)
	if (hex:GetUnit(0) == nil) then
		deploy_action = world:MakeDeployAction(unit,feld)
		world:Exec(deploy_action)
	end

	local feld = {22,60}
	local einheit = "SpitfireMkVB"
	local player = world:GetPlayer(1)
	local create_action = world:MakePurchaseAction(player, einheit, "", 0)
	create_action.auxiliary = true
	create_action.cost = 0
	world:Exec(create_action)
	local unit = world:GetUnit(create_action.id)
	local hex = world:GetHex(feld)
	if (hex:GetUnit(0) == nil) then
		deploy_action = world:MakeDeployAction(unit,feld)
		world:Exec(deploy_action)
	end

	MessageBox("Warnung", "Weitere Feinde wurden im Süden gesichtet!")	
end
