-- eigener Held, ohne unit-Zuordnung
-- Count=1, Condition='leer', StartTurnAction
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "StraBo_SuperiorManeuver"
	hero.extra_traits = {UnitTrait.SuperiorManeuver}
	hero.attack_modifiers = {{type = TargetType.Soft, mod = 1}, {type = TargetType.Hard, mod = 1},  {type = TargetType.Naval, mod = 1}}
	hero.unit_classes = {UnitClass.StrategicBomber}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- Count: 0
-- Condition 'leer'
-- Actions: CaptureFlagAction
-- Function: OnCaptureDepot

Depot = {{29,10}}
string = "Wir haben ein Flugzeuglager der Briten erobert."

-- In diese Tabelle werden alle eroberten Depots eingetragen, damit man den Bonus nur bei der 1. Eroberung erhllt
captured_depots = {}

function OnCaptureDepot(action)
	if IsItemInTable(captured_depots, action.flag) then return end
	if (action.new_owner == 0 and IsItemInTable(Depot, action.flag)) then
		AddEquipment(0, "SpitfireMkIX", 20, captured)
		AddEquipment(0, "HurricaneMkIID", 10, captured)
		AddEquipment(0, "LancasterMkI", 20, captured)
		TutorialMessage(string)					
		table.insert(captured_depots, action.flag)
	else
		return
	end
end

-- die 3 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end

function AddEquipment(player_id, unit_type, quantity, category)	-- eigentliche Funktion um Equipment hinzuzufgen
	local player = world:GetPlayer(player_id)
	local equipment = player.equipment
	local type = GetUnitType(unit_type)
	local eq = equipment[type]
	if (eq == nil) then
		eq = NewEquipment()
		eq.category = category
		equipment[type] = eq
	end
	eq.quantity = eq.quantity + quantity
	player.equipment = equipment
end


-- alle AI Einheiten erhalten einen Angriffs-Befehl
-- Count=1, Action=EndTurnAction
function Runde()
	return world.round == 9	-- wird eine Runde vorher ausgefhrt
end

function SetOrder(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders
			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- AI Befehl fr die nchste Runde
function Angriff()
	MessageBox("Warnung", "Die Feinde greifen an.")
	SetOrder("AIOrderAttacker")
end


-- Count=1, Condition='leer', ObjectiveStatusAction, Function=OnObj0 (2.Ziel)
function OnObj1(action)
	if (action.side == 0 and action.objective == 1 and action.status == ObjectiveStatus.Success) then
		local p = world:GetPlayer(0)
		p.prestige = p.prestige + 200
		TutorialMessage("Sie erhalten 200 Prestige für die Versenkung der feindlichen Flotte.")					
	end
end
