-- eigener Held, ohne unit-Zuordnung
-- Count=1, Condition='leer', StartTurnAction, Function=CreateHero
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Tac_ExterminatorSoftHard"
	hero.extra_traits = {UnitTrait.Exterminator}
	hero.attack_modifiers = {{type = TargetType.Soft, mod = 1}, {type = TargetType.Hard, mod = 1}}
	hero.unit_classes = {UnitClass.TacticalBomber}
	local action = world:MakeNewHeroAction(1, hero)
	world:Exec(action)
end


-- Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end


-- Count=1, Condition=Runde1, Action=EndTurnAction, Function=Angriff1
zone1 = { {12,28},{15,28},{18,29},{17,30},{19,30},{27,41},{18,31},{27,31},{28,31},{29,32},{28,33} }

function Runde1()
	return world.round == 2	-- wird eine Runde frher ausgefhrt
end

function SetOrder1(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 0 and IsItemInTable(zone1, u.position)) then			
			local orders = u.orders
			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- KI Befehl fr die nchste Runde
function Angriff1()
	SetOrder1("AIOrderAttacker")
end


-- Count=1, Condition=Runde2, Action=EndTurnAction, Function=Angriff2
zone2 = { {1,42},{2,42},{1,43},{2,43},{40,42},{41,42},{40,41},{41,41} }

function Runde2()
	return world.round == 6	-- wird eine Runde frher ausgefhrt
end

function SetOrder2(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 0 and IsItemInTable(zone2, u.position)) then			
			local orders = u.orders
			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- KI Befehl fr die nchste Runde
function Angriff2()
	SetOrder2("AIOrderAttacker")
	MessageBox("Warnung", "Weitere Feinde greifen an.")
end
