-- eigener Held, ohne unit-Zuordnung
-- Count=1, Condition='leer', StartTurnAction
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Arti_IgnoresEntrenchmentNaval"
	hero.unit_classes = {UnitClass.Artillery}
	hero.extra_traits = {UnitTrait.IgnoresEntrenchment}
	hero.attack_modifiers = {{type = TargetType.Naval, mod = 1}}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- alle AI Einheiten erhalten einen Angriffs-Befehl
-- Count=1, Condition=Runde, Action=EndTurnAction, function=Angriff
function Runde()
	return world.round == 10	-- wird eine Runde vorher ausgefhrt
end

function SetOrder(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders
			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- AI Befehl fr die nchste Runde
function Angriff()
	MessageBox("Warnung", "Weitere Feinde greifen an.")
	SetOrder("AIOrderAttacker")
end


-- Depot erobern
-- Count=0; Condition='leer', Actions=CaptureFlagAction, Function=OnCaptureDepot
Depot = {{23,55}}
string = "Wir haben ein Ausrüstungslager erobert."
captured_depot = {}

function OnCaptureDepot(action)
	if IsItemInTable(captured_depot, action.flag) then return end
	if (action.new_owner == 0 and IsItemInTable(Depot, action.flag)) then
		AddEquipment(0, "ShermanFirefly", 20, captured)
		AddEquipment(0, "QF17pounder", 20, captured)
		AddEquipment(0, "M10Wolverine", 5, captured)
		AddEquipment(0, "M15A1MGMCAA", 10, captured)
		AddEquipment(0, "SpitfireMkIX", 5, captured)
		TutorialMessage(string)					
		table.insert(captured_depot, action.flag)
	else
		return
	end
end


-- die 3 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end

function AddEquipment(player_id, unit_type, quantity, category)	-- eigentliche Funktion um Equipment hinzuzufgen
	local player = world:GetPlayer(player_id)
	local equipment = player.equipment
	local type = GetUnitType(unit_type)
	local eq = equipment[type]
	if (eq == nil) then
		eq = NewEquipment()
		eq.category = category
		equipment[type] = eq
	end
	eq.quantity = eq.quantity + quantity
	player.equipment = equipment
end
